Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jms.extensions
Class DataOverrunException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javax.jms.JMSException
                  weblogic.jms.common.JMSException
                      weblogic.jms.extensions.DataOverrunException

All Implemented Interfaces:
  Serializable

    public final class DataOverrunException

extends weblogic.jms.common.JMSException

`DataOverrunException` is thrown by a multicast session when the number of messages received by the session, but not yet delivered to the messageListener, exceeds the maximum number of messages allowed for the session.

See Also:
  Serialized Form

Constructor Summary
`DataOverrunException(String reason, String messageId, String correlationId, Destination destination)` Construct a `DataOverrunException` that provides a description of the exception.
`DataOverrunException(String reason, String errorCode, String messageId, String correlationId, Destination destination)` Constructs a `DataOverrunException` that provides an error code and a description of the exception.

Method Summary
`String` | `getJMSCorrelationId()` Returns the correlation id for messages lost when the maximum number of messages allowed for the session is exceeded.
`Destination` | `getJMSDestination()` Returns the destination that sent a message when the maximum number of messages allowed for the session is exceeded.
`String` | `getJMSMessageId()` Returns the message id for messages lost when the maximum number of messages allowed for the session is exceeded.
`boolean` | `isInformational()`

Methods inherited from class weblogic.jms.common.JMSException
`getLinkedException, setLinkedException`

Methods inherited from class javax.jms.JMSException
`getErrorCode`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DataOverrunException

    public DataOverrunException(String reason,
                                String errorCode,
                                String messageId,
                                String correlationId,
                                Destination destination)

  Constructs a `DataOverrunException` that provides an error code and a description of the exception.

  Parameters:
    `reason` - a description of the exception.
    `errorCode` - a string specifying the vendor specific error code.
    `messageId` - the messageId of the message that was lost.
    `correlationId` - the correlationId of the message that was lost.
    `destination` - the destination that sent the message.

### DataOverrunException

    public DataOverrunException(String reason,
                                String messageId,
                                String correlationId,
                                Destination destination)

  Construct a `DataOverrunException` that provides a description of the exception. The error code defaults to null.

  Parameters:
    `reason` - a description of the exception.
    `messageId` - the messageId of the message that was lost.
    `correlationId` - the correlationId of the message that was lost.
    `serverName` - the of the server that hosts the destination that sent the message.
    `destinationName` - the name of the destination that sent the message.

Method Detail

### getJMSMessageId

    public String getJMSMessageId()

  Returns the message id for messages lost when the maximum number of messages allowed for the session is exceeded.

  Returns:
    String the message id of a lost message.

### getJMSCorrelationId

    public String getJMSCorrelationId()

  Returns the correlation id for messages lost when the maximum number of messages allowed for the session is exceeded.

  Returns:
    String the correlation id of a lost message.

### getJMSDestination

    public Destination getJMSDestination()

  Returns the destination that sent a message when the maximum number of messages allowed for the session is exceeded.

  Returns:
    Destination the destination that sent the message.

### isInformational

    public boolean isInformational()

  Overrides:
    `isInformational` in class `weblogic.jms.common.JMSException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD